Skip to main content
GET
Get catalog version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

id
string
required

Catalog version ID.

Example:

"pcv_9x8v7u6t5s4r"

version
number
required

Monotonic version number assigned to the catalog version.

Example:

12

status
enum<string>
required

Catalog version status. Draft versions contain unpublished changes, published versions are live, and archived versions are discarded drafts.

Available options:
draft,
published,
archived
Example:

"published"

name
string | null
required

Optional display name for the catalog version.

Example:

"Q3 catalog"

description
string | null
required

Optional internal description for the catalog version.

Example:

"Catalog published for Q3 pricing."

base_version_id
string | null
required

ID of the published catalog version this version was created from.

Example:

"pcv_1a2b3c4d5e6f"

revert_of_version_id
string | null
required

ID of the published catalog version restored by this revert, or null when the version was not created by a revert.

Example:

null

source_file_name
string | null
required

Name of the source import file that created this catalog version, or null when the version was not imported.

Example:

null

resource_count
number | null
required

Number of resources tracked in the catalog snapshot.

Example:

42

published_at
string<date-time> | null
required

Catalog version publication date. UTC date time string in the ISO 8601 format.

Example:

"2026-06-17T12:30:00Z"

created_at
string<date-time>
required

Catalog version creation date. UTC date time string in the ISO 8601 format.

Example:

"2026-06-17T12:15:00Z"

updated_at
string<date-time>
required

Catalog version last update date. UTC date time string in the ISO 8601 format.

Example:

"2026-06-17T12:30:00Z"